Summary: SME Server enhancement to enable vacation messages for users.
%define name smeserver-vacation
Name: %{name}
%define version 1.0
%define release 13
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-vacation-1.0-frMenuSplit.patch
Patch1: smeserver-vacation-1.0-esLocale.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0,
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%description
SME Server enhancement to enable vacation messages for users.
Optionally provides a user-manager panel where users can
enable vacation for themselves and to modify their own message

%changelog
* Mon Oct 29 2007 Stephen Noble <support@dungog.net> 1.0-13
- add spanish translation, thanks Normando Hall [SME 3503]

* Thu Jun 14 2007 Stephen Noble <support@dungog.net>
- apply updates up to -11

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Fri Dec 29 2006  Stephen Noble <support@dungog.net>
- display Vacation status correctly on modify page in server-manager [sme 2200]
- [1.0-11]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Oct 30 2006  Stephen Noble <support@dungog.net>
- display description unshaded *
- german lexicon fix
- cosmetic log error fixed [sme 1992]
- [1.0-10]

* Thu Aug 24 2006 Stephen Noble <support@dungog.net>
- now finds corrects vacation text when used under userpanel.
- german translation [sme 1101]
- [1.0-9]

* Wed Apr 6 2006 Stephen Noble <support@dungog.net>
- suppress description if no users [contribs 1243]
- [1.0-8]

* Wed Apr 6 2006 Stephen Noble <support@dungog.net>
- say no users if none exist [contribs 1243]
- display DomainName in email address [contribs 1242]
- [1.0-7]

* Wed Apr 6 2006 Stephen Noble <support@dungog.net>
- unlink .vacation.msg before writing [contribs 1192]
- vacation doesn't respond to spam [contribs 1190]
- [1.0-6]

* Sat Mar 25 2006 Stephen Noble <support@dungog.net>
- updated lexicons
- removed event
- [1.0-5]

* Fri Mar 24 2006 Stephen Noble <support@dungog.net>
- Change the interval between repeat replies to the same sender
- config setprop qmail VacationDelay -t3d, man vacation
- reset vacationDB when setting status to no
- modified to, Subject: Re: $SUBJECT - Away from my email
- updated fr lexicon
- [1.0-4]

* Wed Mar 22 2006 Stephen Noble <support@dungog.net>
- updated lexicons
- [1.0-3]

* Wed Mar 22 2006 Stephen Noble <support@dungog.net>
- fr lexicon
- expand ~/.qmail on uninstall
- [1.0-2]

* Mon Mar 20 2006 Stephen Noble <support@dungog.net>
- FormMagick version
- [1.0-1]

* Mon Dec 12 2005 Stephen Noble <support@dungog.net>
- Strip out DOS Carriage Returns (CR)
- thanks to mike sensney
- [0.9-2]

* Sat Sep 03 2005 Stephen Noble <support@dungog.net>
- renamed smeserver-vacation,
- contains vacation & userpanel-vacation
- [0.9-1]

* Sat Sep 03 2005 David Beveridge <davidb@nass.com.au>
- [0.3-2]
- upgrade to work with AccountsDB on SME 7.0

* Mon Dec 31 2001 Daniel van Raay <danielvr@caa.org.au>
- [0.2-4]
- Added generated 'From:' lines to default reply message
- Minor cosmetic cleaning

* Fri Nov 23 2001 Daniel van Raay <danielvr@caa.org.au>
- [0.2-3]
- .vacation.db files are now deleted in the user-modify event

* Tue Nov 14 2001 Daniel van Raay <danielvr@caa.org.au>
- [0.2-2]
- fixed bug in vacation script that delivered multiple bounces to users

* Mon Sep 04 2001 Daniel van Raay <danielvr@caa.org.au>
- [0.2-1]
- added -j option to vacation command line
- updated for compatibility with e-smith 4.1

* Wed Dec 27 2000 Daniel van Raay <danielvr@caa.org.au>
- [0.1-1]
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p2

%build
perl createlinks

LEXICONS1=$(find root/etc/e-smith/locale/ -type f )
LEXICONS2=$(find root/etc/e-smith/web/functions/uservacations -type f )
LEXICONS2=$(find root/etc/e-smith/web/functions/userpanel-vacation -type f )

for lexicon in $LEXICONS1 $LEXICONS2 $LEXICONS3
do
    /sbin/e-smith/validate-lexicon $lexicon
done

#  it sv
for LINK in en-us fr de es
do
#  if [ -z "/etc/e-smith/locale/$LINK/etc/e-smith/web/functions/uservacations"] ; then 
     /bin/ln -s uservacations \
            root/etc/e-smith/locale/$LINK/etc/e-smith/web/functions/userpanel-vacation
#  fi             
done

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     --file '/usr/local/bin/vacation' 'attr(0755,root,root)' \
     > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
#if [ $1 = 1 ] ; then

#fi

#upgrades (and new installs)
#/etc/e-smith/events/actions/navigation-conf 2>/dev/null

if [ -d /etc/e-smith/events/conf-userpanel ] ; then
   /sbin/e-smith/signal-event conf-userpanel
fi

#/bin/chmod a+x /usr/local/bin/vacation

%postun
#uninstall
if [ $1 = 0 ] ; then

 DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 for db in $DBS ; do
          /sbin/e-smith/db $db delete userpanel-vacation 2>/dev/null
          /sbin/e-smith/db $db delete uservacations 2>/dev/null
	done
	
 #need to expand ~/.qmail for users who are still enabled
 /etc/e-smith/events/actions/qmail-update-user

fi


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

